com.corticon.rulesemf.canonicalvocabularymodel.metadata.database

## Interface ForeignKeyMetadata

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ForeignKeyMetadata
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Foreign Key Metadata'.

  The following features are supported:

  - `Foreign Key Name`
  - `Foreign Key Catalog Name`
  - `Foreign Key Schema Name`
  - `Foreign Key Table Name`
  - `Foreign Key Column Metadata List`
  See Also:
    `DatabasePackage.getForeignKeyMetadata()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getForeignKeyCatalogName()` Returns the value of the 'Foreign Key Catalog Name' attribute
    `org.eclipse.emf.common.util.EList` | `getForeignKeyColumnMetadataList()` Returns the value of the 'Foreign Key Column Metadata List' containment reference list.
    `java.lang.String` | `getForeignKeyName()` Returns the value of the 'Foreign Key Name' attribute
    `java.lang.String` | `getForeignKeySchemaName()` Returns the value of the 'Foreign Key Schema Name' attribute
    `java.lang.String` | `getForeignKeyTableName()` Returns the value of the 'Foreign Key Table Name' attribute
    `void` | `setForeignKeyCatalogName(java.lang.String value)` Sets the value of the '`Foreign Key Catalog Name`' attribute
    `void` | `setForeignKeyName(java.lang.String value)` Sets the value of the '`Foreign Key Name`' attribute
    `void` | `setForeignKeySchemaName(java.lang.String value)` Sets the value of the '`Foreign Key Schema Name`' attribute
    `void` | `setForeignKeyTableName(java.lang.String value)` Sets the value of the '`Foreign Key Table Name`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getForeignKeyName

          java.lang.String getForeignKeyName()

      Returns the value of the 'Foreign Key Name' attribute.

      If the meaning of the 'Foreign Key Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Foreign Key Name' attribute.
      See Also:
        `setForeignKeyName(String)`, `DatabasePackage.getForeignKeyMetadata_ForeignKeyName()`

    - #### setForeignKeyName

          void setForeignKeyName(java.lang.String value)

      Sets the value of the '`Foreign Key Name`' attribute.
      Parameters:
        `value` - the new value of the 'Foreign Key Name' attribute.
      See Also:
        `getForeignKeyName()`

    - #### getForeignKeyCatalogName

          java.lang.String getForeignKeyCatalogName()

      Returns the value of the 'Foreign Key Catalog Name' attribute.

      If the meaning of the 'Foreign Key Catalog Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Foreign Key Catalog Name' attribute.
      See Also:
        `setForeignKeyCatalogName(String)`, `DatabasePackage.getForeignKeyMetadata_ForeignKeyCatalogName()`

    - #### setForeignKeyCatalogName

          void setForeignKeyCatalogName(java.lang.String value)

      Sets the value of the '`Foreign Key Catalog Name`' attribute.
      Parameters:
        `value` - the new value of the 'Foreign Key Catalog Name' attribute.
      See Also:
        `getForeignKeyCatalogName()`

    - #### getForeignKeySchemaName

          java.lang.String getForeignKeySchemaName()

      Returns the value of the 'Foreign Key Schema Name' attribute.

      If the meaning of the 'Foreign Key Schema Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Foreign Key Schema Name' attribute.
      See Also:
        `setForeignKeySchemaName(String)`, `DatabasePackage.getForeignKeyMetadata_ForeignKeySchemaName()`

    - #### setForeignKeySchemaName

          void setForeignKeySchemaName(java.lang.String value)

      Sets the value of the '`Foreign Key Schema Name`' attribute.
      Parameters:
        `value` - the new value of the 'Foreign Key Schema Name' attribute.
      See Also:
        `getForeignKeySchemaName()`

    - #### getForeignKeyTableName

          java.lang.String getForeignKeyTableName()

      Returns the value of the 'Foreign Key Table Name' attribute.

      If the meaning of the 'Foreign Key Table Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Foreign Key Table Name' attribute.
      See Also:
        `setForeignKeyTableName(String)`, `DatabasePackage.getForeignKeyMetadata_ForeignKeyTableName()`

    - #### setForeignKeyTableName

          void setForeignKeyTableName(java.lang.String value)

      Sets the value of the '`Foreign Key Table Name`' attribute.
      Parameters:
        `value` - the new value of the 'Foreign Key Table Name' attribute.
      See Also:
        `getForeignKeyTableName()`

    - #### getForeignKeyColumnMetadataList

          org.eclipse.emf.common.util.EList getForeignKeyColumnMetadataList()

      Returns the value of the 'Foreign Key Column Metadata List' containment reference list. The list contents are of type `ForeignKeyColumnMetadata`.

      If the meaning of the 'Foreign Key Column Metadata List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Foreign Key Column Metadata List' containment reference list.
      See Also:
        `DatabasePackage.getForeignKeyMetadata_ForeignKeyColumnMetadataList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.